OBQuery Class Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
OBQuery Class Reference
Substructure Searching

`#include <openbabel/query.h>`

List of all members.

## Public Member Functions
| ~OBQuery ()
unsigned int | NumAtoms () const
unsigned int | NumBonds () const
const std::vector< OBQueryAtom * > & | GetAtoms () const
const std::vector< OBQueryBond * > & | GetBonds () const
OBQueryBond * | GetBond (OBQueryAtom *begin, OBQueryAtom *end) const
void | AddAtom (OBQueryAtom *atom)
void | AddBond (OBQueryBond *bond)
## Protected Attributes
std::vector< OBQueryAtom * > | m_atoms
std::vector< OBQueryBond * > | m_bonds

## Detailed Description

A substructure query.

See Substructure Search for more information.

Since:
  version 2.3

## Constructor & Destructor Documentation

~OBQuery | ( |  | ) | `[inline]`

## Member Function Documentation

unsigned int NumAtoms | ( |  | ) | const`[inline]`

Returns:
  The number of atoms in the query.

unsigned int NumBonds | ( |  | ) | const`[inline]`

Returns:
  The number of bonds in the query.

const std::vector<OBQueryAtom*>& GetAtoms | ( |  | ) | const`[inline]`

Returns:
  std::vector with pointers to the query atoms.

Referenced by OpenBabel::CompileAutomorphismQuery(), and OpenBabel::CompileMoleculeQuery().

const std::vector<OBQueryBond*>& GetBonds | ( |  | ) | const`[inline]`

Returns:
  std::vector with pointers to the query bonds.

OBQueryBond* GetBond | ( | OBQueryAtom * | begin,
|  | OBQueryAtom * | end
| ) |  | const`[inline]`

Returns:
  The query bond between `begin` and `end`. If there is no bond between `begin` and `end`, this function returns 0.

void AddAtom | ( | OBQueryAtom * | atom | ) | `[inline]`

Add a query atom to the query. This function steals the pointer.

Referenced by OpenBabel::CompileAutomorphismQuery(), and OpenBabel::CompileMoleculeQuery().

void AddBond | ( | OBQueryBond * | bond | ) | `[inline]`

Add a query atom to the query. This function steals the pointer.

Referenced by OpenBabel::CompileAutomorphismQuery(), and OpenBabel::CompileMoleculeQuery().

## Member Data Documentation

std::vector<OBQueryAtom*> m_atoms`[protected]`

std::vector<OBQueryBond*> m_bonds`[protected]`

The documentation for this class was generated from the following file:

- query.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines